﻿<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>
    <PropertyGroup>
        <PackageId>WebApiSkeleton.SearchSqlGeneration.Postgres</PackageId>
        <PackageVersion>1.1.1</PackageVersion>
        <Authors>Kamil Sharipov</Authors>
        <Copyright>Kamil Sharipov</Copyright>
        <Description>
            Package containing PostgreSQL implementation of search SQL generation.
        </Description>
        <PackageProjectUrl>https://gitlab.com/webapiskeleton</PackageProjectUrl>
        <RepositoryUrl>https://gitlab.com/webapiskeleton/nuget/search</RepositoryUrl>
        <RepositoryType>Git</RepositoryType>
        <PackageReadmeFile>README.md</PackageReadmeFile>
        <PackageLicenseFile>LICENSE</PackageLicenseFile>
        <GeneratePackageOnBuild>true</GeneratePackageOnBuild>
        <PackageOutputPath>..\..\nuget-output</PackageOutputPath>
    </PropertyGroup>

    <ItemGroup>
        <None Include="..\..\README.md">
            <Pack>True</Pack>
            <PackagePath>\</PackagePath>
        </None>
        <None Include="..\..\LICENSE">
            <Pack>True</Pack>
            <PackagePath>\</PackagePath>
        </None>
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\WebApiSkeleton.SearchSqlGeneration\WebApiSkeleton.SearchSqlGeneration.csproj" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="8.0.1" />
    </ItemGroup>
    

</Project>
